package com.ruoyi.ie.mapper;

import java.util.List;
import com.ruoyi.ie.domain.AMarjorEnroll;

/**
 * 专业录取情况Mapper接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface AMarjorEnrollMapper 
{
    /**
     * 查询专业录取情况
     * 
     * @param id 专业录取情况主键
     * @return 专业录取情况
     */
    public AMarjorEnroll selectAMarjorEnrollById(Long id);

    /**
     * 查询专业录取情况列表
     * 
     * @param aMarjorEnroll 专业录取情况
     * @return 专业录取情况集合
     */
    public List<AMarjorEnroll> selectAMarjorEnrollList(AMarjorEnroll aMarjorEnroll);

    /**
     * 新增专业录取情况
     * 
     * @param aMarjorEnroll 专业录取情况
     * @return 结果
     */
    public int insertAMarjorEnroll(AMarjorEnroll aMarjorEnroll);

    /**
     * 修改专业录取情况
     * 
     * @param aMarjorEnroll 专业录取情况
     * @return 结果
     */
    public int updateAMarjorEnroll(AMarjorEnroll aMarjorEnroll);

    /**
     * 删除专业录取情况
     * 
     * @param id 专业录取情况主键
     * @return 结果
     */
    public int deleteAMarjorEnrollById(Long id);

    /**
     * 批量删除专业录取情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAMarjorEnrollByIds(Long[] ids);
}
